PUT api/v1/bvrc/email/offer
Request Information
URI Parameters
None.
Body Parameters
VolunteerEmailOffer| Name | Description | Type | Additional information |
|---|---|---|---|
| AgencyId | integer |
None. |
|
| OpportunityId | integer |
None. |
|
| VolIds | Collection of integer |
None. |
Request Formats
application/json, text/json, text/html
Sample:
{
"agencyId": 1,
"opportunityId": 2,
"volIds": [
1,
2
]
}
application/xml, text/xml
Sample:
<VolunteerEmailOffer xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/VOL.API.Areas.BVRC.Common.Models">
<AgencyId>1</AgencyId>
<OpportunityId>2</OpportunityId>
<VolIds xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:int>1</d2p1:int>
<d2p1:int>2</d2p1:int>
</VolIds>
</VolunteerEmailOffer>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
HttpResponseMessage| Name | Description | Type | Additional information |
|---|---|---|---|
| Version | Version |
None. |
|
| Content | HttpContent |
None. |
|
| StatusCode | HttpStatusCode |
None. |
|
| ReasonPhrase | string |
None. |
|
| Headers | Collection of Object |
None. |
|
| RequestMessage | HttpRequestMessage |
None. |
|
| IsSuccessStatusCode | boolean |
None. |